Question

problem installing jenkins 1.560 on Ubuntu 14.04 x32

  • Posted April 24, 2014

Hi there, trying to spin up a simple Jenkins box, and running up agains this error while running sudo apt-get install jenkins :

Setting up jenkins (1.560) … dpkg: error processing package jenkins (–configure): subprocess installed post-installation script returned error exit status 1 Errors were encountered while processing: jenkins E: Sub-process /usr/bin/dpkg returned an error code (1)

Subscribe
Share

Submit an answer
You can type!ref in this text area to quickly search our full set of tutorials, documentation & marketplace offerings and insert the link!

These answers are provided by our Community. If you find them useful, show some love by clicking the heart. If you run into issues leave a comment, or add your own answer to help others.

To get this fixed - install required jdk for jenkins, remove jenkins, remove java (if not needed)

Maybe you have some other process listening to 8080 port. Try to stop it and try again

Maybe it’s because of this, I’m having the same issue on an older ubuntu version

@eyefodder: <br> <br>I can’t seem to reproduce that on a fresh 14.04 droplet. Are you using package repository: http://pkg.jenkins-ci.org/debian <br> <br>You could try running the post installation script directly to see what is happening: <br> <br><pre> <br>sh /var/lib/dpkg/info/jenkins.postinst configure 1.560 <br></pre>

Sorry - submitted too soon. <br> <br>Two part question: <br>a) anyone encounter this before / have a workaround or fix? <br>b) is there a way to find more verbose logs for apt-get?